#
# spec file for package kirigami2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname libKF5Kirigami2-5
%bcond_without lang
%define _tar_path 5.45
Name:           kirigami2
Version:        5.45.0
Release:        lp150.1.1
Summary:        Set of QtQuick components
License:        LGPL-2.1-or-later
Group:          Development/Libraries/KDE
Url:            http://www.kde.org/
Source:         https://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(Qt5Core) >= 5.7.0
BuildRequires:  cmake(Qt5Gui) >= 5.7.0
BuildRequires:  cmake(Qt5Quick) >= 5.7.0
BuildRequires:  cmake(Qt5QuickControls2) >= 5.7.0
BuildRequires:  cmake(Qt5Svg) >= 5.7.0
BuildRequires:  cmake(Qt5Test) >= 5.7.0
Requires:       libqt5-qtgraphicaleffects
Requires:       libqt5-qtquickcontrols2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with lang}
BuildRequires:  cmake(Qt5LinguistTools) >= 5.7.0
Recommends:     %{name}-lang = %{version}
%endif

%description
QtQuick plugins to build user interfaces based on the KDE UX guidelines.

%package -n %{lname}
Summary:        Set of QtQuick components
Group:          System/Libraries
Recommends:     %{name} = %{version}

%description -n %{lname}
QtQuick plugins to build user interfaces based on the KDE UX guidelines.
Based on Qt Quick Controls 2. This package contains the base shared libraries.

%package devel
Summary:        Development package for kirigami
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}

%description devel
QtQuick plugins to build user interfaces based on the KDE UX guidelines.
Development files.

%lang_package

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

%if %{with lang}
%find_lang libkirigami2plugin --with-qt --without-mo
%endif

%if %{with lang}
%files lang -f libkirigami2plugin.lang
%endif

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files
%doc LICENSE*
%{_kf5_qmldir}/

%files -n %{lname}
%doc LICENSE*
%{_kf5_libdir}/libKF5Kirigami2.so.*

%files devel
%dir %{_kf5_includedir}/Kirigami2/
%{_kf5_includedir}/Kirigami2/*
%{_libdir}/cmake/KF5Kirigami2/
%{_kf5_libdir}/libKF5Kirigami2.so
%{_kf5_mkspecsdir}/qt_Kirigami2.pri

%changelog
* Sat Apr 14 2018 lbeltrame@kde.org
- Update to 5.45.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.45.0.php
- Changes since 5.44.0:
  * Too many changes to list here
* Tue Mar 13 2018 lbeltrame@kde.org
- Update to 5.44.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.44.0.php
- Changes since 5.43.0:
  * Too many changes to list here
* Tue Feb 13 2018 lbeltrame@kde.org
- Update to 5.43.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.43.0.php
- Changes since 5.42.0:
  * Too many changes to list here
* Tue Jan 16 2018 lbeltrame@kde.org
- Update to 5.42.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.42.0.php
- Changes since 5.41.0:
  * Add recently added file to .qrc
  * keep the flickable interactive
  * proper prefix for icons as well
  * upgrade version
  * more docs
  * fix form sizing
  * Fixed qmake build
  * read wheelScrollLines from kdeglobals if existing
  * add a prefix for kirigami files to avoid conflicts
  * some static linking fixes
  * move plasma styles to plasma-framework
  * Use single quotes for matching characters + QLatin1Char
  * FormLayout
* Wed Jan  3 2018 fabian@ritter-vogt.de
- Remove baselibs.conf:
  * Not needed
* Sun Dec 17 2017 lbeltrame@kde.org
  * Update to 5.41.0
* Mon Nov 13 2017 lbeltrame@kde.org
- Update to 5.40.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.40.0.php
- Changes since 5.39.0:
  * syntax working on older Qt 5.7 (kde#385785)
  * stack the overlaysheet differently (kde#386470)
  * Show the delegate highlighted property as well when there's no focus
  * preferred size hints for the separator
  * correct Settings.isMobile usage
  * Allow applications to be somewhat convergent on a desktop-y system
  * Make sure the content of the SwipeListItem doesn't overlap the handle
  * check page.actions for null
  * use a Dialog
  * Overlaysheet's scrollview is always ointeractive
  * Add categories in gallery desktop file (kde#385430)
  * Update the kirigami.pri file
  * use the non installed plugin to do the tests
  * partly revert 72c01208fe79
  * Deprecate Kirigami.Label
  * Port gallery example use of Labels to be consistently QQC2
  * Port Kirigami.Controls uses of Kirigami.Label
  * remove useless debug
  * make the scrollarea interactive on touch events
  * Move the git find_package call to where it's used
  * default to transparent listview items
  * Add 'Introduction' section to README.md - this is needed for inqlude script to create a proper manifest file for inqlude.org website, used information from metainfo.yaml/Mainpage.dox
* Mon Oct 23 2017 lbeltrame@kde.org
- Update to 5.39.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.39.0.php
- Changes since 5.38.0:
  * Too many changes to list here
* Tue Sep 19 2017 lbeltrame@kde.org
- Update to 5.38.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.38.0.php
- Changes since 5.37.0:
  * Too many changes to list here
* Sat Aug 12 2017 christophe@krop.fr
- Update to 5.37.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.37.0.php
- Changes since 5.36.0 :
  * None
* Wed May  3 2017 fabian@ritter-vogt.de
- Update to 2.1.1:
  * Ships with correct translation files now
* Sat Apr 29 2017 fabian@ritter-vogt.de
- Update to 2.1.0:
  * No upstream changelog provided, visit:
    https://dot.kde.org/2017/04/28/kirigami-21-out
- Remove patches, now upstream:
  * fix-license.patch
* Fri Apr 21 2017 fabian@ritter-vogt.de
- Remove obsolete BuildReq
- Add libqt5-qtquickcontrols2 runtime dependency
* Mon Jan 23 2017 fabian@ritter-vogt.de
- Add upstream patch to fix licensing issues (kde#375344):
  * fix-license.patch
* Tue Dec 13 2016 fabian@ritter-vogt.de
- New kirigami2 package, copy of kirigami, which is now kirigami 1.1
